org.gradle.platform.base

## Interface ApplicationSpec

- All Superinterfaces:
    ComponentSpec, Named
  All Known Subinterfaces:
    NativeExecutableSpec

      @Incubating
      public interface ApplicationSpec
      extends ComponentSpec

  A specification of a `Application`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `binaries, getBinaries, getDisplayName, getProjectPath, getSource, getSources, sources`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`